Busy Times
Update a busy time
POST
/
busy_times
/
{busyTime}
cURL
curl --request POST \
--url https://api.caspen.com/v1/busy_times/{busyTime} \
--header 'Content-Type: application/json' \
--data '
{
"location_id": 123,
"practitioner_id": 123,
"busy_time_type_id": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>",
"room_id": 123,
"vehicle_id": 123,
"resource_ids": [
123
]
}
'import requests
url = "https://api.caspen.com/v1/busy_times/{busyTime}"
payload = {
"location_id": 123,
"practitioner_id": 123,
"busy_time_type_id": 123,
"starts_at": "2023-11-07T05:31:56Z",
"ends_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"note": "<string>",
"room_id": 123,
"vehicle_id": 123,
"resource_ids": [123]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
location_id: 123,
practitioner_id: 123,
busy_time_type_id: 123,
starts_at: '2023-11-07T05:31:56Z',
ends_at: '2023-11-07T05:31:56Z',
name: '<string>',
note: '<string>',
room_id: 123,
vehicle_id: 123,
resource_ids: [123]
})
};
fetch('https://api.caspen.com/v1/busy_times/{busyTime}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"location_id": "<string>",
"practitioner_id": "<string>",
"starts_at": "<string>",
"ends_at": "<string>",
"duration": 123,
"name": "<string>",
"note": "<string>",
"created_at": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Path Parameters
The busy time ID
Body
application/json
Response
BusyTimeResource
The busy time's unique identifier.
Example:
"bti_01HQFQ9QWTNNPY58FZ8CB3FWWK"
The location identifier where the busy time takes place.
Example:
"loc_01HQFQ9QWTNNPY58FZ8CB3FWWK"
The practitioner identifier assigned to the busy time.
Example:
"pra_01HQFQ9QWTNNPY58FZ8CB3FWWK"
The busy time start time (ISO 8601).
Example:
"2024-01-01T10:00:00Z"
The busy time end time (ISO 8601).
Example:
"2024-01-01T11:00:00Z"
The busy time duration in minutes.
Example:
60
The busy time name.
Example:
"Lunch break"
The busy time note.
Example:
"Practitioner unavailable for personal appointment."
The timestamp when the busy time was created (ISO 8601).
Example:
"2024-01-01T12:00:00Z"
⌘I
cURL
